package com.cyksj.service.order;

import com.cyksj.model.dto.AliPayParams;
import com.cyksj.model.entity.GoodsWholesaleOrderDon;
import com.cyksj.model.entity.GoodsWholesaleUserDeposit;
import com.cyksj.model.request.AlipayOrderDonReq;
import com.cyksj.model.request.GoodsWholesaleOrderPayReq;

import java.util.Map;

/**
 * 项目名: yhlxj
 * 文件名: GoodsWholesalePayService
 * 创建者: JavaZou
 * 创建时间:2024/8/26 18:43
 */
public interface GoodsWholesalePayService {
	GoodsWholesaleOrderDon unifiedPay(GoodsWholesaleOrderPayReq payReq) throws Exception;

	AliPayParams aliPayWholesale(AlipayOrderDonReq re, String productCode, String qrPayMode) throws Exception;

	AliPayParams zfbWholesaleWebQrCode(AlipayOrderDonReq re, String productCode, String qrPayMode) throws Exception;

	void aliPayWholesaleNotify(Map<String, String> params) throws Exception;

	GoodsWholesaleUserDeposit submitDeposit(Long userId) throws Exception;

	void aliPayWholesaleDepositNotify(Map<String, String> params) throws Exception;

	void closeWholesaleOrder(Long orderId, long userId) throws Exception;

	Object getOrderStatus(Long userId, Integer type, Long orderId);
}
